# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2018"
name = "dcap-artifact-retrieval"
version = "0.5.1"
authors = ["Fortanix, Inc."]
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = """
DCAP artifact retrieval tool for Intel SGX remote attestation.

DCAP attestations require access to Intel-signed artifacts. This library provides clients with
access to these artifacts both from Intel directly, and from Microsoft Azure.
"""
homepage = "https://edp.fortanix.com/"
documentation = "https://edp.fortanix.com/docs/api/dcap_artifact_retrieval/"
readme = "Readme.md"
keywords = [
    "sgx",
    "enclave",
    "dcap",
]
categories = [
    "os",
    "hardware-support",
]
license = "MPL-2.0"
repository = "https://github.com/fortanix/rust-sgx"
resolver = "2"

[features]
default = [
    "clap",
    "reqwest",
]
rustls-tls = ["reqwest?/rustls-tls"]

[lib]
name = "dcap_artifact_retrieval"
path = "src/lib.rs"

[[bin]]
name = "dcap-artifact-retrieval"
path = "src/main.rs"

[dependencies.backoff]
version = "0.4.0"

[dependencies.clap]
version = "2.23.3"
optional = true

[dependencies.lazy_static]
version = "1"

[dependencies.lru-cache]
version = "0.1.2"

[dependencies.mbedtls]
version = ">=0.12.0, <0.14.0"
features = [
    "x509",
    "ssl",
    "std",
]
default-features = false

[dependencies.num_enum]
version = "0.7"
features = ["complex-expressions"]

[dependencies.pcs]
version = "0.8"

[dependencies.percent-encoding]
version = "2.3.2"

[dependencies.pkix]
version = "0.2.0"

[dependencies.quick-error]
version = "1.1.0"

[dependencies.reqwest]
version = "0.12"
features = [
    "blocking",
    "native-tls",
]
optional = true

[dependencies.rustc-serialize]
version = "0.3"

[dependencies.serde]
version = "1.0"
features = ["derive"]

[dependencies.serde_cbor]
version = "0.11"

[dependencies.serde_json]
version = "1.0"

[dev-dependencies.assert_matches]
version = "1.5.0"

[dev-dependencies.pcs]
version = "0.8"
features = ["verify"]

[dev-dependencies.yasna]
version = "0.3"
features = [
    "num-bigint",
    "bit-vec",
]

[build-dependencies.mbedtls]
version = ">=0.12.0, <0.14.0"
features = [
    "ssl",
    "x509",
]

[build-dependencies.pkix]
version = "0.2.0"

[build-dependencies.serde_cbor]
version = "0.11"
